=== html/pbs/Makefile ===
DESTDIR=

all:

.phony: clean
clean:
	rm -rf *~
