=== debian/control ===
Source: proxmox-installer
Section: perl
Priority: optional
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: cargo:native,
               debhelper-compat (= 12),
               iproute2,
               iso-codes,
               libgtk3-perl,
               libpve-common-perl,
               librsvg2-bin,
               librust-anyhow-1-dev,
               librust-clap-4+derive-dev,
               librust-cursive-0.21+crossterm-backend-dev,
               librust-glob-0.3-dev,
               librust-hex-0.4-dev,
               librust-native-tls-dev,
               librust-nix-0.26+default-dev,
               librust-regex-1+default-dev (>= 1.7~~),
               librust-rustls-0.21+dangerous-configuration-dev,
               librust-rustls-native-certs-dev,
               librust-serde-1+default-dev,
               librust-serde-json-1+default-dev,
               librust-serde-plain-1+default-dev,
               librust-sha2-0.10-dev,
               librust-toml-0.8-dev,
               librust-ureq-2.10-dev,
               libtest-mockmodule-perl,
               patchelf,
               perl,
               rustc:native,
               shellcheck,
Standards-Version: 4.5.1
Homepage: https://www.proxmox.com

Package: proxmox-installer
Architecture: any
Depends: btrfs-progs,
         chrony,
         eject,
         geoip-bin,
         iproute2,
         libgtk3-perl,
         libgtk3-webkit2-perl,
         libjson-perl,
         lvm2,
         openbox,
         proxmox-kernel-helper,
         squashfs-tools,
         thin-provisioning-tools,
         xorg,
         zfsutils-linux,
         zfs-initramfs,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Breaks: pbs-installer (<< 7~), pve-installer (<< 7~),
Replaces: pbs-installer (<< 7~), pve-installer (<< 7~),
Description: Installer for Proxmox Projects
 This package contains the graphical installer for:
  * Proxmox VE.
  * Proxmox Mail Gateway.
  * Proxmox Backup Server

Package: proxmox-auto-install-assistant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: xorriso,
Description: Assistant to help with automated installations
 Provides a helper that can assist with creating an answer file for a automated
 installation of a Proxmox project, and preparing a official ISO image to use
 this answer file.

Package: proxmox-first-boot
Architecture: any
Depends: ${misc:Depends},
Description: Service which runs on the first system boot for additional setup
 Provides a service which will run on the first boot if the a script was
 configured through the auto-installer.
