=== banner/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	pmg-banner.png		\
 	pve-banner.png		\
 	pbs-banner.png		\
+	pdm-banner.png		\
 
 %-banner.png: %-banner.svg
 	rsvg-convert -o $@ $<
