=== debian/changelog ===
proxmox-installer (8.3.9) bookworm; urgency=medium

  * add preliminary support for new, in-development, PDM for which we plan an
    Alpha release

  * update GUI banner for new PDM project.

  * releases 8.3.5 to 8.3.8 have been folded into this changelog entry due to
    very minor, iterative changes.

  * install: pdm: fix owner and permissions of access config hierarchy

 -- Proxmox Support Team <support@proxmox.com>  Tue, 17 Dec 2024 19:21:06 +0100

proxmox-installer (8.3.4) bookworm; urgency=medium

  * auto installer: log non-json low-level messages into separate file to
    avoid noise.

  * low-level: add proper message to 100% progress ratio update.

  * auto installer: avoid printing unnecessary progress update lines.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 25 Nov 2024 23:28:47 +0100
