=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                librust-hex-0.4-dev,
                librust-native-tls-dev,
                librust-nix-0.26+default-dev,
+               librust-pretty-assertions-1.4-dev,
                librust-regex-1+default-dev (>= 1.7~~),
                librust-rustls-0.21+dangerous-configuration-dev,
                librust-rustls-native-certs-dev,
@@ -58,9 +59,10 @@
 Replaces: pbs-installer (<< 7~), pve-installer (<< 7~),
 Description: Installer for Proxmox Projects
  This package contains the graphical installer for:
-  * Proxmox VE.
-  * Proxmox Mail Gateway.
+  * Proxmox VE
+  * Proxmox Mail Gateway
   * Proxmox Backup Server
+  * Proxmox Datacenter Manager
 
 Package: proxmox-auto-install-assistant
 Architecture: any
